# $Revision: 1.15 $, $Date: 2005/12/22 12:11:58 $
%define		_modname	tidy
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - Tidy HTML Repairing and Parsing
Summary(pl):	%{_modname} - Czyszczenie, naprawa oraz parsowanie HTML
Name:		php-pecl-%{_modname}
Version:	1.1
Release:	4
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	ecb2d3c62e1d720265a65dfb7e00e081
URL:		http://pecl.php.net/package/tidy/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.254
BuildRequires:	tidy-devel
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is a binding for the Tidy HTML clean and repair utility which
allows you to not only clean and otherwise manipluate HTML documents,
but also traverse the document tree using the Zend Engine 2 OO
semantics.

In PECL status of this package is: %{_status}.

%description -l pl
Tidy jest dowizaniem do narzdzia "Tidy HTML clean and repair", ktre
pozwala nie tylko na czyszczenie oraz manipulacj dokumentami HTML,
ale take na przemierzanie przez struktur dokumentu za pomoc
zorientowanej obiektowo semantyki silnika Zend Engine 2.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
%{__make} -C %{_modname}-%{version} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,TODO,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-tidy.spec,v $
Revision 1.15  2005/12/22 12:11:58  glen
- rel 4 (rebuild with new php)

Revision 1.14  2005/10/30 13:29:21  glen
- rel 3

Revision 1.13  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.12  2005/09/14 22:36:29  glen
- rel 1

Revision 1.11  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.10  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.9  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.8  2005/08/28 23:44:22  glen
- add missing %doc

Revision 1.7  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.6  2004/06/10 18:05:12  adamg
- updated to 1.1

Revision 1.5  2004/05/30 16:01:46  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.4  2003/12/02 20:24:12  adamg
- updated to 1.0
- status changed to stable
- make use of make install
- cosmetics

Revision 1.3  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.2  2003/10/07 20:57:04  adamg
- do not use macros in URL

Revision 1.1  2003/09/23 09:30:20  adamg
- initial import, not finished yet (build fails)
